## cascading.tuple
Class TupleEntryIterableChainIterator

    java.lang.Object
      cascading.tuple.TupleEntryIterator
          cascading.tuple.TupleEntryIterableChainIterator

All Implemented Interfaces:
  Closeable, Iterator<TupleEntry>

    public class TupleEntryIterableChainIterator

extends TupleEntryIterator

TupleEntryChainIterator chains the given Iterators into a single Iterator.

As one iterator is completed, it will be closed and a new one will start.

Constructor Summary
`TupleEntryIterableChainIterator(Fields fields)`
`TupleEntryIterableChainIterator(Fields fields, Iterable<Iterator<Tuple>> iterable)`

Method Summary
`void` `close()` Method close closes all underlying resources.
`protected void` `closeCurrent()`
`boolean` `hasNext()` Method hasNext returns true if there is a next TupleEntry
`TupleEntry` `next()` Method next returns the next TupleEntry.
`void` `remove()` Method remove removes the current TupleEntry from the underlying collection.
`void` `reset(Iterable<Iterator<Tuple>> iterable)`

Methods inherited from class cascading.tuple.TupleEntryIterator
`getFields, getTupleEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleEntryIterableChainIterator

    public TupleEntryIterableChainIterator(Fields fields)

### TupleEntryIterableChainIterator

    public TupleEntryIterableChainIterator(Fields fields,
                                           Iterable<Iterator<Tuple>> iterable)

Method Detail

### hasNext

    public boolean hasNext()

  Method hasNext returns true if there is a next TupleEntry

  Returns:
    boolean

### reset

    public void reset(Iterable<Iterator<Tuple>> iterable)

### next

    public TupleEntry next()

  Method next returns the next TupleEntry.

  Returns:
    TupleEntry

### remove

    public void remove()

  Method remove removes the current TupleEntry from the underlying collection.

### close

    public void close()

  Method close closes all underlying resources.

### closeCurrent

    protected void closeCurrent()

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.